%define upstream_name	 Math-MatrixBool
%define upstream_version 5.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Matrix of Booleans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector) >= 7.100.0
BuildArch:  noarch

%description
Easy manipulation of matrices of booleans (Boolean Algebra).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}/%{_mandir}/man3/Math::Kleene.3pm %{buildroot}/%{_mandir}/man3/Math::Kleene-MatrixBool.3pm
mv  %{buildroot}/%{perl_vendorlib}/Math/Kleene.pod \
    %{buildroot}/%{perl_vendorlib}/Math/Kleene-MatrixBool.pod

%files
%defattr(-,root,root)
%doc META.yml
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.800.0-4.mga3
+ Revision: 369623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 17 2011 jquelin <jquelin> 5.800.0-3.mga1
+ Revision: 53229
- fixing yet another file conflict with perl-Math-MatrixReal

* Wed Feb 16 2011 jquelin <jquelin> 5.800.0-2.mga1
+ Revision: 52681
- allow installation alongside perl-Math-MatrixReal

* Sat Jan 22 2011 jquelin <jquelin> 5.800.0-1.mga1
+ Revision: 32186
- mageia rebuild
- imported package perl-Math-MatrixBool

